import { test } from 'vitest'
import { AddressSpace } from './ua/AddressSpace'
import { UANodeSet } from './ua/UANodeSet';
import * as fs from 'fs';

test('xml', () => {
    const as=new AddressSpace([]);
    const data = fs.readFileSync('public/nodesets/Opc.Ua.NodeSet2.xml', 'utf8');
    const nodeset= UANodeSet.parse(data,"NodeSet2",as);
    as.addNodeset(nodeset);
    const xmlElem=nodeset.toXML(nodeset.nameSpaceTable, as.nst);
    fs.writeFileSync("nodeset2.xml", xmlElem.toString());
})